OrderedSelection Class

class NXOpen.CAE.OrderedSelection

Bases: NXOpen.TaggedObject

Represents list of ordered selection entitites

New in version NX11.0.0.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
Add Adds a mesh point to the list
Clear Removes all objects from the list
Remove Removes a tagged object from the list

Method Detail

Add

OrderedSelection.Add

Overloaded method Add

  • Add(entity)
  • Add(entity)
  • Add(entity)
  • Add(entity)
  • Add(entity, flipDirection)
  • Add(entity, flipDirection)
  • Add(entity, flipDirection)
  • Add(entity, flipDirection)
  • Add(entity, flipDirection)
  • Add(selectionMethod)

-------------------------------------

Adds a mesh point to the list

Signature Add(entity)

Parameters:entity (NXOpen.CAE.MeshPoint) – mesh point to be added

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Adds a point to the list

Signature Add(entity)

Parameters:entity (NXOpen.Point) – point to be added

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Adds a node to the list

Signature Add(entity)

Parameters:entity (NXOpen.CAE.FENode) – node to be added

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Adds a element to the list

Signature Add(entity)

Parameters:entity (NXOpen.CAE.FEElement) – node to be added

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Adds a polygon edge to the list

Signature Add(entity, flipDirection)

Parameters:
  • entity (NXOpen.CAE.CAEEdge) – point to be added
  • flipDirection (bool) – flip the direction of edge

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Adds a line to the list

Signature Add(entity, flipDirection)

Parameters:
  • entity (NXOpen.Line) – point to be added
  • flipDirection (bool) – flip the direction of line

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Adds a arc to the list

Signature Add(entity, flipDirection)

Parameters:
  • entity (NXOpen.Arc) – point to be added
  • flipDirection (bool) – flip the direction of arc

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Adds a conic to the list

Signature Add(entity, flipDirection)

Parameters:
  • entity (NXOpen.Conic) – point to be added
  • flipDirection (bool) – flip the direction of conic

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Adds a spline to the list

Signature Add(entity, flipDirection)

Parameters:
  • entity (NXOpen.Spline) – point to be added
  • flipDirection (bool) – flip the direction of spline

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Adds objects contained in the method to the list

Signature Add(selectionMethod)

Parameters:selectionMethod (NXOpen.SelectionMethod) – selection method containing objects to add

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Clear

OrderedSelection.Clear

Removes all objects from the list

Signature Clear()

New in version NX11.0.0.

License requirements: None.

Remove

OrderedSelection.Remove

Overloaded method Remove

  • Remove(entity)
  • Remove(selectionMethod)

-------------------------------------

Removes a tagged object from the list

Signature Remove(entity)

Parameters:entity (NXOpen.TaggedObject) – object to be removed

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Removes objects contained in the method from the list

Signature Remove(selectionMethod)

Parameters:selectionMethod (NXOpen.SelectionMethod) – selection method containing objects to remove

New in version NX11.0.0.

License requirements: None.

-------------------------------------